$:.unshift File.expand_path("../../lib", __FILE__)
$:.unshift File.expand_path("../../test", __FILE__)

require "test/unit"
require 'thrift'
require "thrift_client"
require "passport_thrift_client"
require "em-synchrony"
require 'em-synchrony/fiber_iterator'

class ProfileTest < Test::Unit::TestCase
  include Test::Unit::Assertions
  def setup
    super
    puts "setup"
  end

  def test_profile
    EM.synchrony do
    	client = ThriftClient.new({"multiplexed" => true, "timeout" => 10, "transport" => "eventmachine","size" => 100,"client_class" => "Passport::Thrift::RemoteUserProfileService::Client","servers" => "vm173:9100"})
    	# client.queryUserBasicInfo(3033)
      start = Time.now
      EM::Synchrony::FiberIterator.new(0...2000, 1000).each do |i|
        client.queryUserBasicInfo(3033)
      end
      stop = Time.now
      em_use = stop - start
      puts em_use
      client.destroy
      EM.stop
    end

   #  client = ThriftClient.new({"multiplexed" => true, "timeout" => 10, "transport" => "socket","size"=>1,"client_class" => "Passport::Thrift::RemoteUserProfileService::Client","servers" => "vm173:9100"})
  	# i = 0
  	# client.queryUserBasicInfo(3033)
  	# start = Time.now
  	# while i < 10000
  	# 	client.queryUserBasicInfo(3033)
  	# 	i+=1
  	# end
	 	# stop = Time.now
   #  em_use = stop - start
   #  puts em_use
   #  client.destroy
  end

  def teardown
    super
    puts "teardown"
  end
end
