module Test
  class FooHandler
    def getFoo
      foo = Test::Foo.new
      foo.fourth = "222"
      foo.third = 2.2
      foo.second = 222222222222222
      foo.first = 200000
      return foo
    end

    def putFoo(foo)
      puts foo.inspect
      return true
    end
  end

  class BarHandler
    def getBar
      bar = Test::Bar.new
      bar.a = "1111111111"
      bar.b = 11111111
      bar.c = false
      bar.d = 1111111.232323
      bar.e = 111111111111111
      return bar
    end

    def putBar(bar)
      puts bar.inspect
      return true
    end
  end

  class CommonHandler
    def ping
      puts "ping"
    end

    def wait(seconds)
      sleep(seconds / 100.0)
      return true
    end

    def timeout
      sleep(200000)
      return false
    end

    def apperror()
      puts "error"
      return Thrift::ApplicationException.new("apperr")
    end

    def ptoerror()
      puts "error"
      raise Thrift::ProtocolException.new("ptoerror")
      return true
    end

    def tranerror()
      puts "error"
      raise Thrift::TransportException.new("tranerror")
      return true
    end

    def ioerror()
      puts "error"
      raise IOError.new("ioerror")
      return true
    end

  end
end
