$:.unshift File.expand_path("../../lib", __FILE__)
$:.unshift File.expand_path("../../test", __FILE__)

require "test/unit"
require "thrift_client/connection_pool"
require "thrift_client/pool/thread_connection_pool"
require "thrift_client/pool/fiber_connection_pool"

class ConnectionPoolTest < Test::Unit::TestCase
  include Test::Unit::Assertions
  def setup
    super
    puts "setup"
  end

  def test_thread_connection_pool
    pool = ThreadConnectionPool.new(:size => 5){
      # sleep(1)
      Time.now.to_s
    }
    threads = Array.new(200){
      Thread.new {
        # sleep(1)
        pool.execute { |conn|
          puts conn
          # sleep(1)
        }
      }
    }
    sleep(5)
    # threads.each { | thread |
    #   p thread
    #   thread.run
    #   # thread.join
    # }
    # Thread.main.join
  end

  def teardown
    super
    puts "teardown"
  end
end